Replace tracking bugs for wiki setup (create/rename/close) with project tags
Closed, ResolvedPublic

Bugreporter updated the task description. (Show Details)
Bugreporter raised the priority of this task from to Needs Triage.
Bugreporter added a project: Project-Admins.
Bugreporter added subscribers: Aklapper, Bugreporter.
Aklapper triaged this task as Lowest priority.Jun 16 2015, 5:05 PM
Danny_B claimed this task.Feb 13 2016, 3:10 PM
Dcljr added a subscriber: Dcljr.Feb 14 2016, 3:05 AM

Pardon my ignorance, but I don't understand what exactly is being proposed here. If/when this happens, what will I do differently to follow relevant changes instead of being subscribed to a task?

@Dcljr: Please see https://www.mediawiki.org/wiki/Phabricator/Help#Receiving_updates_and_notifications and feel free to ask on the Discussion page if something is unclear. Thanks! :)

Dcljr added a comment.Feb 14 2016, 9:06 PM

Please link to the new project pages from here and from the other task pages when the changes take place.

Danny_B moved this task from Incoming to In progress on the Project-Admins board.Feb 15 2016, 7:03 AM
Amire80 added a subscriber: Amire80.
Krinkle renamed this task from Replace tracking bug T18976 by new project tag "wikis-to-create" to Replace tracking bugs for wiki setup (create/rename/close) with project tags.Apr 24 2017, 8:10 PM
Krinkle added subscribers: Danny_B, Liuxinyu970226, Peachey88.
Krinkle added a subscriber: Krinkle.

Previous comments:

Is this really suitable for us? T21986 has a large scale of discussions that about related technical blocks, and this discussion is most likely to continue in the next several years

One one hand, I prefer Phab projects instead of tracking bugs, but since the level of closure requests is rather low, I'm not sure if it'll be worth the effort. I suppor this and I'm willing to create the project if there's consensus to do so; the same with the above named tracking bugs.

This is a old tracking bug back from before we had a standard way to close off old projects and they had to sit for a bit (iirc).

I wouldn't bother, our pre-existing tags, site-requests etc should be fine we don't need a dedicated one for this

It would not make sense to use a non-unified system for this kind of tasks. I mean, if we decline this one but allow Wikis-to-create it'd be weird. Given that Tracking tasks are a relict from Bugzilla I'd rather convert all of them to tags or none at all to mantain certain uniformity.

Krinkle added a comment.EditedApr 24 2017, 8:12 PM

I would recommend creating a single project for this and using its workboards to manage the different types of actions. E.g. Wiki-Setup with workboard columns Create, Rename, Close - or something like that.

In addition, the tag could also be created as a subproject (milestone) of Wikimedia-Site-requests (instead of as a separate global tag), so that its workboard is also automatically kept in sync.

I would recommend creating a single project for this and using its workboards to manage the different types of actions. E.g. Wiki-Setup with workboard columns Create, Rename, Close - or something like that.

+1

+1 to Wiki-Setup with subprojects to create, close and delete projects. If workboard is also okay I'm also okay with that. Site-requests is already very crowded unfortunately.

Krinkle closed this task as Resolved.EditedAug 23 2017, 5:47 PM

This is now done.

I've also setup some cross-linking between these workboards in the form of project links in the sidebar menu.

Krinkle claimed this task.Aug 23 2017, 5:47 PM
Dcljr removed a subscriber: Dcljr.Aug 30 2017, 5:19 AM